# types.h File Reference

Basic types and typedefs. This file is a GNU parallel extension to the Standard C++ Library. More...

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Typedefs

- typedef int64_t __gnu_parallel::_CASable
- typedef uint64_t __gnu_parallel::_SequenceIndex
- typedef uint16_t __gnu_parallel::_ThreadIndex

## Enumerations

- enum __gnu_parallel::_AlgorithmStrategy { heuristic, force_sequential, force_parallel }
- enum __gnu_parallel::_FindAlgorithm { GROWING_BLOCKS, CONSTANT_SIZE_BLOCKS, EQUAL_SPLIT }
- enum __gnu_parallel::_MultiwayMergeAlgorithm { LOSER_TREE }
- enum __gnu_parallel::_Parallelism {
  __gnu_parallel::sequential, __gnu_parallel::parallel_unbalanced, __gnu_parallel::parallel_balanced, __gnu_parallel::parallel_omp_loop,
  __gnu_parallel::parallel_omp_loop_static, __gnu_parallel::parallel_taskqueue
  }
- enum __gnu_parallel::_PartialSumAlgorithm { RECURSIVE, LINEAR }
- enum __gnu_parallel::_SortAlgorithm { MWMS, QS, QS_BALANCED }
- enum __gnu_parallel::_SplittingAlgorithm { SAMPLING, EXACT }

## Variables

- static const int __gnu_parallel::_CASable_bits
- static const _CASable __gnu_parallel::_CASable_mask

## Detailed Description

Basic types and typedefs. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file types.h.